package com.zoniot.ccrc.commom;

/**
 * <p></p>
 *
 * @Author wilian.peng
 * @Date 2020/12/22 21:14
 * @Version 1.0
 */
public class Constants {

    /**
     * 系统标识符
     */
    public static final String SYS_FLAG = "system";

    /**
     * 设备标识符
     */
    public static final String DEVICE_FLAG = "deviceId";
    /**
     * 未抄状态
     */
    public static final String UN_READ = "1";

    /**
     * 已抄状态
     */
    public static final String READ = "2" ;

    /**
     * 水表最后数据缓存前缀
     */
    public static final String PREFIX_CACHE_FLAG = "LAST-METER-DATA:";

    /**
     * 测量点数值标记
     */
    public static final String TIME_FLAG = "TIME";

    /**
     * 批量提交批次
     */
    public static final Integer BATCH_SIZE = 1000 ;

    /**
     * 抄表日期参数
     */
    public static final String READ_DAY_PARAM_FLAG = "readDay";

    /**
     * 模式数据上报日期格式
     */
    public static final String DEFAULT_DATA_SEND_TIME_FORMAT = "yyyyMMddHHmmss";

    /**
     * 默认抄表日期格式
     */
    public static final String DEFAULT_METER_READ_DATE_FORMAT = "yyyyMMdd";

    /**
     * 远传表 表型
     */
    public static final Integer REMOTE_METER_TYPE = 1 ;

    /**
     * 智能表 表型
     */
    public static final Integer AI_METER_TYPE = 2 ;

    /**
     * 设备故障
     */
    public static final Integer DEVICE_ERROR = 2;

    /**
     * 设备报警
     */
    public static final Integer DEVICE_ALARM = 4;

    /**
     * 设备正常
     */
    public static final Integer DEVICE_NORMAL = 1 ;

    /**
     * 设备未启用
     */
    public static final Integer DEVICE_NOT_ENABLE = 5 ;

    /**
     * 设备注册状态,未注册
     */
    public static final Integer DEVICE_UN_REGIST = 0 ;

    /**
     * 设备注册状态,已注册
     */
    public static final Integer DEVICE_REGISTED = 1 ;

    /**
     * 文档编码
     */
    public static final String ENCODING_READ = "GBK";

    /**
     * 日志标识
     */
    public static final String LOG_TAG = ">>>>>>>>>>>>>>>>>";
    /**
     * 逗号标识
     */
    public static final String LOG_STR_COMMA = ",";

    /**
     * 返回值字符串resultStr
     */
    public static final String STR_RETURN_RESULT = "resultStr";
    /**
     * 返回值字符串exitStatus
     */
    public static final String STR_RETURN_EXITSTATUS = "exitStatus";

    /**
     * 处理失败 0 ,处理成功 1
     */
    public static final Integer PROCESS_STATE_FAILED = 0 ;

    public static final Integer PROCESS_STATE_SUCCESS = 1 ;

    public static final String FILE_PATH_TAG = "FilePath";

    public static final String FILE_NAME_TAG = "FileName" ;

    public static final String FILE_FULL_PATH_TAG = "FileFullPath" ;
}
